public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: x11-apps/igt-gpu-tools/
Date: Mon, 16 Dec 2024 18:53:37 +0000 (UTC)	[thread overview]
Message-ID: <1734375212.3594c97e66fe202b79de95d0efc6578604e021b4.mattst88@gentoo> (raw)

commit:     3594c97e66fe202b79de95d0efc6578604e021b4
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Dec 16 18:49:21 2024 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Dec 16 18:53:32 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3594c97e

x11-apps/igt-gpu-tools: Version bump to 1.30

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-apps/igt-gpu-tools/Manifest                  |   1 +
 x11-apps/igt-gpu-tools/igt-gpu-tools-1.30.ebuild | 105 +++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/x11-apps/igt-gpu-tools/Manifest b/x11-apps/igt-gpu-tools/Manifest
index f69cc606fd4e..d3dd6933467d 100644
--- a/x11-apps/igt-gpu-tools/Manifest
+++ b/x11-apps/igt-gpu-tools/Manifest
@@ -1 +1,2 @@
 DIST igt-gpu-tools-1.29.tar.xz 2944444 BLAKE2B 8d34a2b1a9dfc6d8a23be6d2a45436f531e98f0aa8b05346d5a4f2232d4904fc12cb7a986ee335b2a9a31760de10cfed0d92b7de6052ed75baeadc190c5ebee9 SHA512 1bce6cc916b79bee3562cdee945444bfe925efac37c0df61f8adc17b1aade752cb2e31a05c0dc5de5f2c54256f3319cab7ee45014d5d910e16cca50accd2d1ed
+DIST igt-gpu-tools-1.30.tar.xz 3079568 BLAKE2B 0be7a31d5ca472d6011abc271d4fd5c1c34e7e458a510dab1d99e56bed87d9923a757aced407e5b2cf72b37c074d62fe3fcdefb0fc75c43f439650f129b51005 SHA512 be0af7c7b3bbf6d47ac5267b6be9af356cfd148f2588d624635e642299df0ab0a825bc1498c6ba2b9f8b6c1e4f0126b6fdf22c82548bfa1df1906efad492db60

diff --git a/x11-apps/igt-gpu-tools/igt-gpu-tools-1.30.ebuild b/x11-apps/igt-gpu-tools/igt-gpu-tools-1.30.ebuild
new file mode 100644
index 000000000000..7610ba673ffb
--- /dev/null
+++ b/x11-apps/igt-gpu-tools/igt-gpu-tools-1.30.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+EGIT_REPO_URI="https://gitlab.freedesktop.org/drm/${PN}.git"
+if [[ ${PV} = *9999* ]]; then
+	GIT_ECLASS="git-r3"
+fi
+
+PYTHON_COMPAT=( python3_{10..13} )
+inherit ${GIT_ECLASS} meson python-any-r1
+
+DESCRIPTION="Intel GPU userland tools"
+
+HOMEPAGE="https://gitlab.freedesktop.org/drm/igt-gpu-tools"
+if [[ ${PV} != *9999* ]]; then
+	KEYWORDS="~amd64 ~x86"
+	SRC_URI="https://www.x.org/releases/individual/app/${P}.tar.xz"
+fi
+LICENSE="MIT"
+SLOT="0"
+IUSE="chamelium man overlay runner tests unwind valgrind video_cards_amdgpu video_cards_intel video_cards_nouveau X xv"
+REQUIRED_USE="
+	|| ( video_cards_amdgpu video_cards_intel video_cards_nouveau )
+	overlay? (
+		video_cards_intel
+		|| ( X xv )
+	)
+	runner? ( tests )
+"
+RESTRICT="test"
+
+RDEPEND="
+	dev-libs/elfutils
+	dev-libs/glib:2
+	sys-apps/kmod
+	sys-libs/zlib:=
+	sys-process/procps:=
+	virtual/libudev:=
+	>=x11-libs/cairo-1.12.0[X?]
+	>=x11-libs/libdrm-2.4.82[video_cards_amdgpu?,video_cards_intel?,video_cards_nouveau?]
+	>=x11-libs/libpciaccess-0.10
+	x11-libs/pixman
+	chamelium? (
+		dev-libs/xmlrpc-c:=[curl]
+		sci-libs/gsl:=
+		media-libs/alsa-lib
+	)
+	overlay? (
+		>=x11-libs/libXrandr-1.3
+		xv? (
+			x11-libs/libX11
+			x11-libs/libXext
+			x11-libs/libXv
+		)
+	)
+	runner? ( dev-libs/json-c:= )
+	unwind? ( sys-libs/libunwind:= )
+	valgrind? ( dev-debug/valgrind )
+	"
+DEPEND="${RDEPEND}
+	man? ( dev-python/docutils )
+	overlay? (
+		>=dev-util/peg-0.1.18
+		x11-base/xorg-proto
+	)
+	video_cards_intel? (
+		app-alternatives/yacc
+		app-alternatives/lex
+	)
+"
+BDEPEND="${PYTHON_DEPS}"
+
+src_prepare() {
+	sed -e "s/find_program('rst2man-3'/find_program('rst2man.py', 'rst2man-3'/" -i man/meson.build
+	default_src_prepare
+}
+
+src_configure() {
+	local gpus=""
+	use video_cards_amdgpu  && gpus+="amdgpu,"
+	use video_cards_intel   && gpus+="intel,"
+	use video_cards_nouveau && gpus+="nouveau,"
+
+	local overlay_backends=""
+	use overlay && use xv && overlay_backends+="xv,"
+	use overlay && use X && overlay_backends+="x,"
+
+	local emesonargs=(
+		$(meson_feature overlay)
+		-Doverlay_backends=${overlay_backends%?}
+		$(meson_feature chamelium)
+		$(meson_feature valgrind)
+		$(meson_feature man)
+		-Dtestplan=disabled
+		-Dsphinx=disabled
+		-Ddocs=disabled
+		$(meson_feature tests)
+		-Dxe_driver=disabled
+		-Dlibdrm_drivers=${gpus%?}
+		$(meson_feature unwind libunwind)
+		$(meson_feature runner)
+	)
+	meson_src_configure
+}


             reply	other threads:[~2024-12-16 18:53 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-12-16 18:53 Matt Turner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-05-13 17:18 [gentoo-commits] repo/gentoo:master commit in: x11-apps/igt-gpu-tools/ Matt Turner
2025-04-19 19:09 Matt Turner
2024-12-19 18:42 Matt Turner
2024-12-17  3:58 Matt Turner
2024-12-16 18:53 Matt Turner
2024-09-06  3:13 Matt Turner
2024-09-06  3:13 Matt Turner
2024-03-03 16:59 Matt Turner
2024-02-29 21:04 Matt Turner
2024-02-29 21:04 Matt Turner
2024-02-29 21:04 Matt Turner
2024-02-29 21:04 Matt Turner
2024-02-29 21:04 Matt Turner
2024-01-08 12:28 Sam James
2024-01-08 12:03 Sam James
2023-09-05 20:28 Matt Turner
2023-09-03  6:40 Sam James
2023-08-01 16:14 Sam James
2023-05-14 17:11 Sam James
2023-02-27 18:35 Matt Turner
2022-05-15  3:50 Sam James
2021-09-20 19:40 Andreas K. Hüttel
2021-06-02 22:36 Sam James
2021-05-16 21:48 Thomas Deutschmann
2021-05-16 20:09 Sergei Trofimovich
2020-06-24 20:13 Matt Turner
2020-06-03 19:25 Matt Turner
2020-05-04 20:47 Matt Turner
2019-07-14 20:33 Matt Turner
2019-07-13 17:43 Matt Turner
2019-06-13 19:31 Matt Turner
2019-05-13 17:28 Stefan Strogin
2018-10-29  2:02 Matt Turner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1734375212.3594c97e66fe202b79de95d0efc6578604e021b4.mattst88@gentoo \
    --to=mattst88@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox